Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 23:34
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Networking » Wireless
How to do touchscreen works on an eeepc running puppeee ?
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 2 Posts_count   Goto page: Previous 1, 2
Author Message
Antzus

Joined: 14 Apr 2013
Posts: 5

PostPosted: Tue 25 Jun 2013, 03:30    Post_subject:  

Well this thread is a bit ancient, but it seems it never got resolved. I ordered a touchscreen for my eee pc 701, but was disappointed that I couldn't get it to work with Puppeee (kernel 2.6.33.2). It seems there's several modules missing (notably, usbtouchscreen and evdev), so the comprehensive HOWTO written by Tempestuous doesn't work. The touchscreen (it seems to be an egalax) came with a bunch of drivers, and I did my best to do something with the Debian driver, but it seems it was all beyond my abilities.
Any suggestions? Or don't touchscreens and this distro co-operate together?
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Tue 25 Jun 2013, 20:11    Post_subject:  

Antzus wrote:
Well this thread is a bit ancient, but it seems it never got resolved. I ordered a touchscreen for my eee pc 701, but was disappointed that I couldn't get it to work with Puppeee (kernel 2.6.33.2). It seems there's several modules missing (notably, usbtouchscreen and evdev), so the comprehensive HOWTO written by Tempestuous doesn't work. The touchscreen (it seems to be an egalax) came with a bunch of drivers, and I did my best to do something with the Debian driver, but it seems it was all beyond my abilities.
Any suggestions? Or don't touchscreens and this distro co-operate together?


You may have luck with a newer kernel, since more touch input drivers have been added. Anything newer than 3.7 should be good.

_________________



Back to top
View user's profile Send_private_message Visit_website 
tempestuous

Joined: 10 Jun 2005
Posts: 5271
Location: Australia

PostPosted: Tue 25 Jun 2013, 20:35    Post_subject:  

I think (?) that when this thread started, Puppeee was at version 4.3.
Yes, jemimah's efforts to add the usbtouchscreen kernel module, plus the evtouch Xorg plugin appear to be unresolved, but I suspect she may have paid more attention to including these components in the next Puppeee version; 4.4.
Unfortunately she became too busy with work, and Puppeee 4.4 got no further than beta stage -
http://murga-linux.com/puppy/viewtopic.php?t=59556
If you can track down a copy of Puppeee 4.4beta, this might (?) work OK ...
otherwise you could try Fluppy, which is similar to Puppeee, but without Eee-specific tweaks ...
or Saluki, which jemimah recommends as the most up-to-date equivalent of Puppeee.

I suggest you don't try to add the components, yourself, to Puppeee 4.3 - this will be extremely difficult:
i) the 2.6.33 kernel is not the same as contained in the Lucid 5.1 series - the Puppeee kernel has a modified configuration, and you would need to match that configuration.
ii) Puppeee 4.3 contains Xorg from Quirky, so you would need to compile the evtouch plugin from Quirky-compatible Xorg source.

Q5sys wrote:
Anything newer than (kernel) 3.7 should be good.

A new kernel is not the issue. You simply need the relevant kernel module + Xorg plugin - in the case of Antzus this is usbtouchscreen + evtouch. I provided these as far back as 2009.
If Antzus is not concerned with Eee-specific tweaks, he can use Puppy 4.3 with my dotpet, or Puppy Lucid 5.1/5.2 which already contains the usbtouchscreen + evtouch components ...
or Saluki as jemimah suggests for Eee owners.
Back to top
View user's profile Send_private_message 
Antzus

Joined: 14 Apr 2013
Posts: 5

PostPosted: Tue 25 Jun 2013, 22:12    Post_subject:  

Thanks for the input. I assumed a kernel upgrade was something way beyond my abilities.

Strange, I tried your dotpet, Tempestuous - touchscreen-Puppy4.1.pet - but it didn't work. I can't find those modules. The pet file should contain those two kernel modules, you say?

I'm led to believe Puppeee 1.0 is based on Puppy 4.3. I didn't realise a newer Puppeee existed beyond the conceptual stage. I'll try some newer distros and see if I have more success.
Back to top
View user's profile Send_private_message 
Q5sys


Joined: 11 Dec 2008
Posts: 1073

PostPosted: Tue 25 Jun 2013, 22:33    Post_subject:  

tempestuous wrote:

Q5sys wrote:
Anything newer than (kernel) 3.7 should be good.

A new kernel is not the issue. You simply need the relevant kernel module + Xorg plugin - in the case of Antzus this is usbtouchscreen + evtouch. I provided these as far back as 2009.
If Antzus is not concerned with Eee-specific tweaks, he can use Puppy 4.3 with my dotpet, or Puppy Lucid 5.1/5.2 which already contains the usbtouchscreen + evtouch components ...
or Saluki as jemimah suggests for Eee owners.


Ah ok, thanks for correcting me.

_________________



Back to top
View user's profile Send_private_message Visit_website 
tempestuous

Joined: 10 Jun 2005
Posts: 5271
Location: Australia

PostPosted: Wed 26 Jun 2013, 07:25    Post_subject:  

Antzus wrote:
I tried your dotpet, Tempestuous - touchscreen-Puppy4.1.pet - but it didn't work.

You tried it with Puppy 4.1/4.2/4.3? (which should work fine)
or you tried it with Puppeee 4.3? (which will certainly fail, due to incompatibility)

Antzus wrote:
I can't find those modules.

To be clear, my dotpet contains only the Xorg plugin - evtouch
The only way to know for sure whether this plugin is present is to check with a file browser -
it's located with the Xorg files, so in modern Puppies this will be -
/usr/lib/xorg/modules/input
and the plugin is called "evtouch_drv.so"

The kernel module - usbtouchscreen
is already contained in Puppy 4.1/4.2/4.3 and also most official Puppy versions since then,
but it is apparently not contained in Puppeee 4.3.

To avoid all of this confusion, just try Saluki.
And of course, you will still need to configure the touchscreen, as per my instructions.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 2 Posts_count   Goto page: Previous 1, 2
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Hardware » Networking » Wireless
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0595s ][ Queries: 12 (0.0039s) ][ GZIP on ]